
Figure - Bug #116806
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111046 (New): AF-V2.0-系统手势

【AF】【EVT】【系统手势】打开一个应用，五指抓，松手后再快速的五指抓一次，桌面上闪过应用进程卡
片
2023-03-08 14:05 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-08

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303080018

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202303240240

Reproducibility: Every time Fixed Version: 2023-03-24

Test Type: ST Root cause: 问题原因��重复快速的触发五指手势，动画界面为了回到合适的状态，会直接修复状态，从表现上看卡片就会闪动��问题处理��调整了拦截重复触发的拦截策略，在一定程度上会改善动画的表现

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、打开一个应用

2、五指抓

3、松手后再快速的五指抓一次

【预期结果】

3、返回桌面

【实际结果】

3、桌面上闪过应用进程卡片，然后再返回桌面

【复现率】

3/3

Related issues:

Related to Figure - Bug # 116994: 【AF】【EVT3】【系统手势】多次打开不同应... CLOSED 2023-03-16

History

#1 - 2023-03-20 18:27 - CD FW王武军

【】当前状态

1、确认现象

2、分析问题

在上一次多指手势在执行动画时，后续的多指触发可能影响了上一次动画的表现，这个问题

放在https://share.thundersoft.com/redmine/issues/116994问题一起处理，

后续处理会尝试新的拦截策略，动画的表现应该会有所改善。

#2 - 2023-03-23 15:55 - CD FW王武军

【】当前状态
通过调整五指重复触发的拦截策略，在一定程度上会改善闪动的情况。

但是因为在重复快速操作时，有时候界面的动画会卡顿，只有通过逻辑将

界面的进行直接的处理，避免界面直接卡主不动，所以卡片有时候不可避免的会闪动。

#3 - 2023-03-23 15:58 - CD FW王武军

- Status changed from New to RESOLVED

- Assignee changed from CD FW王武军 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-03-24

- Root cause set to 问题原因

重复快速的触发五指手势，动画界面为了回到合适的状态，会直接修复状态，从表现上看卡片就会闪动

问题处理

调整了拦截重复触发的拦截策略，在一定程度上会改善动画的表现

#4 - 2023-03-24 17:02 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202303240240

3.24

情况有明显改善

#5 - 2023-03-24 17:03 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

20230308-140317.mp4 3.38 MB 2023-03-08 CD TEST-方永红
